### Method

# Gimp ExportProcedure set_support_exif

since: 3.0

#### Declaration [src]

    void
    gimp_export_procedure_set_support_exif (
      GimpExportProcedure* procedure,
      gboolean supports
    )

#### Description [src]

Determine whether `procedure` supports exporting Exif data. By default, it won’t (so there is usually no reason to run this function with `FALSE`).

This will have several consequences:

- Automatically adds a standard argument “include-exif” in the end of the argument list of `procedure`, with relevant blurb and description.
- If used with other gimp_export_procedure_set_support_*() functions, they will always be ordered the same (the order of the calls don’t matter), keeping all export procedures consistent.
- Generated GimpExportProcedureDialog will contain the metadata options, once again always in the same order and with consistent GUI style across plug-ins.
- API from `GimpProcedureConfig` will automatically process these properties to decide whether to export a given metadata or not.

By default, the value will be `gimp_export_exif()`.

Available since: 3.0

#### Parameters

`supports`

  Type: `gboolean`

  Whether Exif metadata are supported.